Subject: bug#19735: closed (Re: bug#19735: 25.0.50; regression: contrary to documentation etags does not work with compressed files any more; did work in emacs 24.4)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Feb 2015 16:17:02 +0000

Your bug report

#19735: 25.0.50; regression: contrary to documentation etags does not work with compressed files any more; did work in emacs 24.4

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19735: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19735
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19735: 25.0.50; regression: contrary to documentation etags does not work with compressed files any more; did work in emacs 24.4
From: Eli Zaretskii <[email-masked]>
To: Gregor Zattler <[email-masked]>
Cc: [email-masked]
Date: Thu, 19 Feb 2015 18:17:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Gregor Zattler <[email-masked]>
> Date: Fri, 30 Jan 2015 18:51:25 +0100
> 
> etags from emacs24 in debian jessie:
> GNU Emacs 24.4.1 (i586-pc-linux-gnu, X toolkit, Xaw3d scroll
> bars) of 2014-12-19 on brahms, modified by Debian
> 
> is able to work with e.g.
> /usr/share/emacs/24.4/lisp/dired-aux.el.gz
> 
> while ~/src/emacs/lib-src/etags build from recent source is not:
> 
> $ ~/src/emacs/lib-src/etags /usr/share/emacs/24.4/lisp/dired-aux.el.gz
> /usr/share/emacs/24.4/lisp/dired-aux.el.gz: Invalid argument
> 
> I did a git bisect on the emacs repository, this is the result:
> 
> first bad commit: [ba1ed52f0c2c7fd15fe1feadabfd0af88e19b4c3] Use binary-io module, O_BINARY, and „b“ flag.

Amazingly enough, the "b" flag in 'popen' is not supported on
GNU/Linux, at least some of its versions.

Fixed in commit d10c3ed.

Thanks.

Subject: 25.0.50; regression: contrary to documentation etags does not work with compressed files any more; did work in emacs 24.4
From: Gregor Zattler <[email-masked]>
To: [email-masked]
Date: Fri, 30 Jan 2015 18:51:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear emacs developers,

etags from emacs24 in debian jessie:
GNU Emacs 24.4.1 (i586-pc-linux-gnu, X toolkit, Xaw3d scroll
bars) of 2014-12-19 on brahms, modified by Debian

is able to work with e.g.
/usr/share/emacs/24.4/lisp/dired-aux.el.gz

while ~/src/emacs/lib-src/etags build from recent source is not:

$ ~/src/emacs/lib-src/etags /usr/share/emacs/24.4/lisp/dired-aux.el.gz
/usr/share/emacs/24.4/lisp/dired-aux.el.gz: Invalid argument

I did a git bisect on the emacs repository, this is the result:

first bad commit: [ba1ed52f0c2c7fd15fe1feadabfd0af88e19b4c3] Use binary-io module, O_BINARY, and „b“ flag.

There is already bug #2807: „etags can't access .el.gz files“
from 2009 which was confirmed and discussed but seemingly not
resolved in 2011.  bug #2807 describes that etags worked on the
compressed files but later it was not possible to use the TAGS
file.  The bug I file is about building the TAGS file.

Thanks for your attention, Gregor